//========================================================

class Controller extends Bd_Object {

//========================================================

    //----------------------------------------------------
    connect(){
    //----------------------------------------------------

        return true;

    }

    //----------------------------------------------------
    disconnect(){
    //----------------------------------------------------

        return true;

    }
    //----------------------------------------------------
}
//========================================================

class ControllerPart extends Bd_Object {

//========================================================


    //----------------------------------------------------
    onReceiveEvent(event){
    //----------------------------------------------------

        return true;

    }
    //----------------------------------------------------
}
//========================================================


